template("package") {
    forward_variables_from(invoker, [ "package_file", "pack_deps" ])

    action(target_name) {
        command = "$tizen_core/tz"
        description = "PACK {{output}}"
        args = [
            "package",
            "--in-dir", rebase_path("${root_out_dir}/$out_dir", root_out_dir),
            "--out", rebase_path(package_file, root_out_dir),
        ]
        outputs = [ package_file ]
        deps = pack_deps
    }
}